# CUTLASS: reduction_operators.h File Reference

reduction_operators.h File Reference

Kernel performing a reduction over densely packed tensors in global memory. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/tensor_ref.h"`
`#include "cutlass/numeric_types.h"`
`#include "cutlass/array.h"`
`#include "cutlass/functional.h"`
`#include "cutlass/numeric_conversion.h"`
Include dependency graph for reduction_operators.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >
| Mixed-precision reduction. More...
struct | cutlass::reduction::thread::ReduceAdd< ElementAccumulator_, Element_, Count >::Params

## Namespaces

| cutlass
| cutlass::reduction
| cutlass::reduction::thread